/**
 * Created by Benny on 12.10.2014.
 */

"use strict";

var TB = TB || {};
TB.Control = TB.Control || {};

TB.Control.Stats =  {
    index : function() {
        TB.GUI.showLoader();
        var page = new TB.Page( 'stats' );
        TB.Service.request( 'Stats', 'dashboard', {}, function( data ) {

            TB.GUI.hideLoader();
            data.profile = TB.Client.profile;
            TB.GUI.show(page, data);

            page.$container.find( '#btn-coach-help').click( function() {
                TB.GUI.showModal(
                    "Statistik",
                    TB.Config.Content.helpHtml.statistik
                );
            });

        });
    }
};